For the complete documentation index, see llms.txt. This page is also available as Markdown.

ModifyCloudRouterEdgePointBandwidth

1. API Description

This API (ModifyCloudRouterEdgePointBandwidth) is used to modify Edge Point Bandwidth

Notes

  • Bandwidth limit changes can only be made when the Cloud Router edge point status is RUNNING.

  • This is an asynchronous API, so the bandwidth change is not completed immediately. During this period the instance status will be UPDATING. The result can be checked by calling the DescribeCloudRouters API -- if the status (cloudRouterStatus) changes from UPDATING (modifying) to RUNNING (available), the bandwidth was updated successfully.

  • Do not perform any other operation on the edge point while the bandwidth change is in progress.

  • If the Cloud Router edge point is a Cloud Connect, and the Cloud Connect has not had a custom bandwidth limit set, this operation automatically sets the Cloud Connect's bandwidth limit to the bandwidth tier closest to the Cloud Router edge point's backbone bandwidth limit. You can customize the Cloud Connect's bandwidth limit via ModifyCloudBandwidth.

2. Input Parameters

The following request parameter list only provides API request parameters.

Parameter Name
Required
Type
Description

cloudRouterId

Yes

String

ID of the Cloud Router the edge point belongs to.

edgePointId

Yes

String

Cloud Router edge point ID.

bandwidthMbps

Yes

Integer

The bandwidth limit to set, in Mbps. Value range: 1-500.

Value range: [10, +)

3. Output Parameters

Parameter Name
Type
Description

requestId

String

The unique request ID, which is returned for each request.

RequestId is required for locating a problem.

4. Code Example

1. Modify the Cloud Router edge point bandwidth to 100 Mbps.

5. Developer Resources

Zenlayer Cloud API 2.0 integrates SDKs,to make it easier for you to call APIs. More programming languages will be supported.

6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see Common Error Codes.

HTTP Status Code
Error Code
Description

400

INVALID_BANDWIDTH_EXCEED_LIMIT

Bandwidth exceeds the limit.

409

INVALID_CLOUD_ROUTER_STATUS

Invalid Cloud Router status.

Last updated